- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# webfaction_mailbox – Add or remove mailboxes on Webfaction

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Add or remove mailboxes on a Webfaction account. Further documentation at https://github.com/quentinsf/ansible-webfaction.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
login_name - / required |  | The webfaction account to use
login_password - / required |  | The webfaction password to use
mailbox_name - / required |  | The name of the mailbox
mailbox_password - / required |  | The password for the mailbox
state - | Choices: present ← absent | Whether the mailbox should exist

## Notes

Note

- You can run playbooks that use this on a local machine, or on a Webfaction host, or elsewhere, since the scripts use the remote webfaction API. The location is not important. However, running them on multiple hosts simultaneously is best avoided. If you don’t specify localhost as your host, you may want to add `serial: 1` to the plays.
- See the webfaction API for more info.

## Examples

    - name: Create a mailbox
      webfaction_mailbox:
        mailbox_name="mybox"
        mailbox_password="myboxpw"
        state=present
        login_name={{webfaction_user}}
        login_password={{webfaction_passwd}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Quentin Stafford-Fraser (@quentinsf)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.